Guide
Current API Operation Map
Recently added package, upload, WooCommerce, partner, marketing, promotion, tracking, customer, and installment routes.
Use the right level of reference
This operation map supplements the detailed endpoint guides. Open each operation for its reviewed fields or transport contract, authentication, errors and conditional behavior. Source review is not seeded response testing of every provider outcome. Read the linked workflow before implementing a request.
Product credentials, developer sessions, customer sessions, partner Bearer keys, and provider webhook signatures are distinct. Owner-only administration and payment-provider callbacks are not public plugin SDK methods.
SoundSync
Customer marketplace discovery
Public catalog endpoints expose customer-facing publication/discovery data, not developer account records.
/api/marketplace/homepage
Customer homepage content
- Auth
- Public request; operation-specific verification still applies
- Scope
- The operation-specific account, workspace, product and ownership checks apply.
- Request fields
- query page: integer
- query limit: integer
- query search: string
- query q: string
- query category: string
- query tag: string
- query type: string
- query platform: string
- query format: string
- query minPrice: number
- query maxPrice: number
- query sort: string
- Returns
- HTTP 200: hero, sections, generatedAt, cacheKey, sectionOrdering, viewer.
Request, response and error reference
Query and header parameters
[
{
"name": "page",
"in": "query",
"schema": {
"type": "integer",
"minimum": 1
},
"required": false,
"description": ""
},
{
"name": "limit",
"in": "query",
"schema": {
"type": "integer",
"minimum": 1
},
"required": false,
"description": ""
},
{
"name": "search",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "q",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "category",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "tag",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "type",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "platform",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "format",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "minPrice",
"in": "query",
"schema": {
"type": "number"
},
"required": false,
"description": ""
},
{
"name": "maxPrice",
"in": "query",
"schema": {
"type": "number"
},
"required": false,
"description": ""
},
{
"name": "sort",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
}
]
No request body fields are read by this operation.
HTTP 200 response (application/json)
{
"type": "object",
"properties": {
"hero": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"sections": {
"type": "array",
"items": {
"type": "object",
"properties": {
"key": {
"type": "string"
},
"status": {
"type": "string"
},
"items": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"title": {
"type": "string"
},
"href": {
"type": "string"
},
"source": {
"type": "string"
},
"priority": {
"type": "number"
}
},
"additionalProperties": true
}
},
"generatedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"cacheKey": {
"type": "string"
},
"sectionOrdering": {
"type": "array",
"items": {
"type": "string"
}
},
"viewer": {
"type": "object",
"properties": {
"authenticated": {
"type": "boolean"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
}
Documented failures: 400, 500.
/api/marketplace/deals
Published deals
- Auth
- Public request; operation-specific verification still applies
- Scope
- The operation-specific account, workspace, product and ownership checks apply.
- Request fields
- query page: integer
- query limit: integer
- query search: string
- query q: string
- query category: string
- query tag: string
- query type: string
- query platform: string
- query format: string
- query minPrice: number
- query maxPrice: number
- query sort: string
- Returns
- HTTP 200: products, pagination, generatedAt, sort.
Request, response and error reference
Query and header parameters
[
{
"name": "page",
"in": "query",
"schema": {
"type": "integer",
"minimum": 1
},
"required": false,
"description": ""
},
{
"name": "limit",
"in": "query",
"schema": {
"type": "integer",
"minimum": 1
},
"required": false,
"description": ""
},
{
"name": "search",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "q",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "category",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "tag",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "type",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "platform",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "format",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "minPrice",
"in": "query",
"schema": {
"type": "number"
},
"required": false,
"description": ""
},
{
"name": "maxPrice",
"in": "query",
"schema": {
"type": "number"
},
"required": false,
"description": ""
},
{
"name": "sort",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
}
]
No request body fields are read by this operation.
HTTP 200 response (application/json)
{
"type": "object",
"properties": {
"products": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"name": {
"type": "string"
},
"title": {
"type": "string"
},
"slug": {
"type": [
"string",
"null"
]
},
"description": {
"type": [
"string",
"null"
]
},
"shortDescription": {
"type": [
"string",
"null"
]
},
"price": {
"type": "number"
},
"salePrice": {
"type": [
"number",
"null"
]
},
"regularPrice": {
"type": "number"
},
"displayPrice": {
"type": "number"
},
"priceDisplay": {
"type": "string"
},
"regularPriceDisplay": {
"type": "string"
},
"salePriceDisplay": {
"type": [
"string",
"null"
]
},
"isOnSale": {
"type": "boolean"
},
"currency": {
"type": "string"
},
"imageUrl": {
"type": [
"string",
"null"
]
},
"coverImage": {
"type": [
"string",
"null"
]
},
"developerId": {
"type": "integer",
"minimum": 1
},
"developerName": {
"type": "string"
},
"developer": {
"type": [
"object",
"null"
],
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"name": {
"type": "string"
},
"slug": {
"type": [
"string",
"null"
]
},
"profileUrl": {
"type": [
"string",
"null"
]
},
"verified": {
"type": "boolean"
}
},
"additionalProperties": true
},
"productType": {
"type": "string"
},
"productTypes": {
"type": "array",
"items": {
"type": "string"
}
},
"categories": {
"type": "array",
"items": {
"type": "string"
}
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"url": {
"type": "string"
},
"subscriptionEnabled": {
"type": "boolean"
},
"billingInterval": {
"type": [
"string",
"null"
]
},
"checkoutEligible": {
"type": "boolean"
},
"capabilities": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"requiresActivation": {
"type": "boolean"
},
"supportsSerials": {
"type": "boolean"
},
"supportsDownloads": {
"type": "boolean"
},
"marketplaceAsset": {
"type": [
"object",
"null"
],
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
}
},
"pagination": {
"type": "object",
"properties": {
"page": {
"type": "integer"
},
"limit": {
"type": "integer"
},
"total": {
"type": "integer"
},
"totalPages": {
"type": "integer"
},
"hasNextPage": {
"type": "boolean"
},
"hasPreviousPage": {
"type": "boolean"
}
},
"additionalProperties": true
},
"generatedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"sort": {
"type": "string"
}
},
"additionalProperties": true
}
Documented failures: 400, 500.
/api/marketplace/new-releases
Recent published releases
- Auth
- Public request; operation-specific verification still applies
- Scope
- The operation-specific account, workspace, product and ownership checks apply.
- Request fields
- query page: integer
- query limit: integer
- query search: string
- query q: string
- query category: string
- query tag: string
- query type: string
- query platform: string
- query format: string
- query minPrice: number
- query maxPrice: number
- query sort: string
- Returns
- HTTP 200: products, pagination, generatedAt.
Request, response and error reference
Query and header parameters
[
{
"name": "page",
"in": "query",
"schema": {
"type": "integer",
"minimum": 1
},
"required": false,
"description": ""
},
{
"name": "limit",
"in": "query",
"schema": {
"type": "integer",
"minimum": 1
},
"required": false,
"description": ""
},
{
"name": "search",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "q",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "category",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "tag",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "type",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "platform",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "format",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "minPrice",
"in": "query",
"schema": {
"type": "number"
},
"required": false,
"description": ""
},
{
"name": "maxPrice",
"in": "query",
"schema": {
"type": "number"
},
"required": false,
"description": ""
},
{
"name": "sort",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
}
]
No request body fields are read by this operation.
HTTP 200 response (application/json)
{
"type": "object",
"properties": {
"products": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"name": {
"type": "string"
},
"title": {
"type": "string"
},
"slug": {
"type": [
"string",
"null"
]
},
"description": {
"type": [
"string",
"null"
]
},
"shortDescription": {
"type": [
"string",
"null"
]
},
"price": {
"type": "number"
},
"salePrice": {
"type": [
"number",
"null"
]
},
"regularPrice": {
"type": "number"
},
"displayPrice": {
"type": "number"
},
"priceDisplay": {
"type": "string"
},
"regularPriceDisplay": {
"type": "string"
},
"salePriceDisplay": {
"type": [
"string",
"null"
]
},
"isOnSale": {
"type": "boolean"
},
"currency": {
"type": "string"
},
"imageUrl": {
"type": [
"string",
"null"
]
},
"coverImage": {
"type": [
"string",
"null"
]
},
"developerId": {
"type": "integer",
"minimum": 1
},
"developerName": {
"type": "string"
},
"developer": {
"type": [
"object",
"null"
],
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"name": {
"type": "string"
},
"slug": {
"type": [
"string",
"null"
]
},
"profileUrl": {
"type": [
"string",
"null"
]
},
"verified": {
"type": "boolean"
}
},
"additionalProperties": true
},
"productType": {
"type": "string"
},
"productTypes": {
"type": "array",
"items": {
"type": "string"
}
},
"categories": {
"type": "array",
"items": {
"type": "string"
}
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"url": {
"type": "string"
},
"subscriptionEnabled": {
"type": "boolean"
},
"billingInterval": {
"type": [
"string",
"null"
]
},
"checkoutEligible": {
"type": "boolean"
},
"capabilities": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"requiresActivation": {
"type": "boolean"
},
"supportsSerials": {
"type": "boolean"
},
"supportsDownloads": {
"type": "boolean"
},
"marketplaceAsset": {
"type": [
"object",
"null"
],
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
}
},
"pagination": {
"type": "object",
"properties": {
"page": {
"type": "integer"
},
"limit": {
"type": "integer"
},
"total": {
"type": "integer"
},
"totalPages": {
"type": "integer"
},
"hasNextPage": {
"type": "boolean"
},
"hasPreviousPage": {
"type": "boolean"
}
},
"additionalProperties": true
},
"generatedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
Documented failures: 400, 500.
/api/marketplace/free
Supported free-product discovery
- Auth
- Public request; operation-specific verification still applies
- Scope
- The operation-specific account, workspace, product and ownership checks apply.
- Request fields
- query page: integer
- query limit: integer
- query search: string
- query q: string
- query category: string
- query tag: string
- query type: string
- query platform: string
- query format: string
- query minPrice: number
- query maxPrice: number
- query sort: string
- Returns
- HTTP 200: products, pagination, generatedAt.
Request, response and error reference
Query and header parameters
[
{
"name": "page",
"in": "query",
"schema": {
"type": "integer",
"minimum": 1
},
"required": false,
"description": ""
},
{
"name": "limit",
"in": "query",
"schema": {
"type": "integer",
"minimum": 1
},
"required": false,
"description": ""
},
{
"name": "search",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "q",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "category",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "tag",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "type",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "platform",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "format",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "minPrice",
"in": "query",
"schema": {
"type": "number"
},
"required": false,
"description": ""
},
{
"name": "maxPrice",
"in": "query",
"schema": {
"type": "number"
},
"required": false,
"description": ""
},
{
"name": "sort",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
}
]
No request body fields are read by this operation.
HTTP 200 response (application/json)
{
"type": "object",
"properties": {
"products": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"name": {
"type": "string"
},
"title": {
"type": "string"
},
"slug": {
"type": [
"string",
"null"
]
},
"description": {
"type": [
"string",
"null"
]
},
"shortDescription": {
"type": [
"string",
"null"
]
},
"price": {
"type": "number"
},
"salePrice": {
"type": [
"number",
"null"
]
},
"regularPrice": {
"type": "number"
},
"displayPrice": {
"type": "number"
},
"priceDisplay": {
"type": "string"
},
"regularPriceDisplay": {
"type": "string"
},
"salePriceDisplay": {
"type": [
"string",
"null"
]
},
"isOnSale": {
"type": "boolean"
},
"currency": {
"type": "string"
},
"imageUrl": {
"type": [
"string",
"null"
]
},
"coverImage": {
"type": [
"string",
"null"
]
},
"developerId": {
"type": "integer",
"minimum": 1
},
"developerName": {
"type": "string"
},
"developer": {
"type": [
"object",
"null"
],
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"name": {
"type": "string"
},
"slug": {
"type": [
"string",
"null"
]
},
"profileUrl": {
"type": [
"string",
"null"
]
},
"verified": {
"type": "boolean"
}
},
"additionalProperties": true
},
"productType": {
"type": "string"
},
"productTypes": {
"type": "array",
"items": {
"type": "string"
}
},
"categories": {
"type": "array",
"items": {
"type": "string"
}
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"url": {
"type": "string"
},
"subscriptionEnabled": {
"type": "boolean"
},
"billingInterval": {
"type": [
"string",
"null"
]
},
"checkoutEligible": {
"type": "boolean"
},
"capabilities": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"requiresActivation": {
"type": "boolean"
},
"supportsSerials": {
"type": "boolean"
},
"supportsDownloads": {
"type": "boolean"
},
"marketplaceAsset": {
"type": [
"object",
"null"
],
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
}
},
"pagination": {
"type": "object",
"properties": {
"page": {
"type": "integer"
},
"limit": {
"type": "integer"
},
"total": {
"type": "integer"
},
"totalPages": {
"type": "integer"
},
"hasNextPage": {
"type": "boolean"
},
"hasPreviousPage": {
"type": "boolean"
}
},
"additionalProperties": true
},
"generatedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
Documented failures: 400, 500.
/api/marketplace/developers
Customer developer directory
- Auth
- Public request; operation-specific verification still applies
- Scope
- The operation-specific account, workspace, product and ownership checks apply.
- Request fields
- query page: integer
- query limit: integer
- query search: string
- query q: string
- query category: string
- query tag: string
- query type: string
- query platform: string
- query format: string
- query minPrice: number
- query maxPrice: number
- query sort: string
- Returns
- HTTP 200: developers, pagination.
Request, response and error reference
Query and header parameters
[
{
"name": "page",
"in": "query",
"schema": {
"type": "integer",
"minimum": 1
},
"required": false,
"description": ""
},
{
"name": "limit",
"in": "query",
"schema": {
"type": "integer",
"minimum": 1
},
"required": false,
"description": ""
},
{
"name": "search",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "q",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "category",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "tag",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "type",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "platform",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "format",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "minPrice",
"in": "query",
"schema": {
"type": "number"
},
"required": false,
"description": ""
},
{
"name": "maxPrice",
"in": "query",
"schema": {
"type": "number"
},
"required": false,
"description": ""
},
{
"name": "sort",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
}
]
No request body fields are read by this operation.
HTTP 200 response (application/json)
{
"type": "object",
"properties": {
"developers": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"name": {
"type": "string"
},
"slug": {
"type": "string"
},
"logoUrl": {
"type": [
"string",
"null"
]
},
"shortBio": {
"type": "string"
}
},
"additionalProperties": true
}
},
"pagination": {
"type": "object",
"properties": {
"page": {
"type": "integer"
},
"limit": {
"type": "integer"
},
"total": {
"type": "integer"
},
"totalPages": {
"type": "integer"
},
"hasNextPage": {
"type": "boolean"
},
"hasPreviousPage": {
"type": "boolean"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
}
Documented failures: 400, 500.
/api/marketplace/collections
Published collections
- Auth
- Public request; operation-specific verification still applies
- Scope
- The operation-specific account, workspace, product and ownership checks apply.
- Request fields
- query page: integer
- query limit: integer
- query search: string
- query q: string
- query category: string
- query tag: string
- query type: string
- query platform: string
- query format: string
- query minPrice: number
- query maxPrice: number
- query sort: string
- Returns
- HTTP 200: collections, pagination, generatedAt.
Request, response and error reference
Query and header parameters
[
{
"name": "page",
"in": "query",
"schema": {
"type": "integer",
"minimum": 1
},
"required": false,
"description": ""
},
{
"name": "limit",
"in": "query",
"schema": {
"type": "integer",
"minimum": 1
},
"required": false,
"description": ""
},
{
"name": "search",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "q",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "category",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "tag",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "type",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "platform",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "format",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "minPrice",
"in": "query",
"schema": {
"type": "number"
},
"required": false,
"description": ""
},
{
"name": "maxPrice",
"in": "query",
"schema": {
"type": "number"
},
"required": false,
"description": ""
},
{
"name": "sort",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
}
]
No request body fields are read by this operation.
HTTP 200 response (application/json)
{
"type": "object",
"properties": {
"collections": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"name": {
"type": "string"
},
"slug": {
"type": "string"
},
"description": {
"type": "string"
},
"productCount": {
"type": "integer"
}
},
"additionalProperties": true
}
},
"pagination": {
"type": "object",
"properties": {
"page": {
"type": "integer"
},
"limit": {
"type": "integer"
},
"total": {
"type": "integer"
},
"totalPages": {
"type": "integer"
},
"hasNextPage": {
"type": "boolean"
},
"hasPreviousPage": {
"type": "boolean"
}
},
"additionalProperties": true
},
"generatedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
Documented failures: 400, 500.
/api/marketplace/collections/:slug
Collection detail
- Auth
- Public request; operation-specific verification still applies
- Scope
- The operation-specific account, workspace, product and ownership checks apply.
- Request fields
- query page: integer
- query limit: integer
- query search: string
- query q: string
- query category: string
- query tag: string
- query type: string
- query platform: string
- query format: string
- query minPrice: number
- query maxPrice: number
- query sort: string
- Returns
- HTTP 200: collection, products, pagination, generatedAt.
Request, response and error reference
Query and header parameters
[
{
"name": "page",
"in": "query",
"schema": {
"type": "integer",
"minimum": 1
},
"required": false,
"description": ""
},
{
"name": "limit",
"in": "query",
"schema": {
"type": "integer",
"minimum": 1
},
"required": false,
"description": ""
},
{
"name": "search",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "q",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "category",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "tag",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "type",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "platform",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "format",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "minPrice",
"in": "query",
"schema": {
"type": "number"
},
"required": false,
"description": ""
},
{
"name": "maxPrice",
"in": "query",
"schema": {
"type": "number"
},
"required": false,
"description": ""
},
{
"name": "sort",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
}
]
No request body fields are read by this operation.
HTTP 200 response (application/json)
{
"type": "object",
"properties": {
"collection": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"name": {
"type": "string"
},
"slug": {
"type": "string"
},
"description": {
"type": "string"
},
"productCount": {
"type": "integer"
}
},
"additionalProperties": true
},
"products": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"name": {
"type": "string"
},
"title": {
"type": "string"
},
"slug": {
"type": [
"string",
"null"
]
},
"description": {
"type": [
"string",
"null"
]
},
"shortDescription": {
"type": [
"string",
"null"
]
},
"price": {
"type": "number"
},
"salePrice": {
"type": [
"number",
"null"
]
},
"regularPrice": {
"type": "number"
},
"displayPrice": {
"type": "number"
},
"priceDisplay": {
"type": "string"
},
"regularPriceDisplay": {
"type": "string"
},
"salePriceDisplay": {
"type": [
"string",
"null"
]
},
"isOnSale": {
"type": "boolean"
},
"currency": {
"type": "string"
},
"imageUrl": {
"type": [
"string",
"null"
]
},
"coverImage": {
"type": [
"string",
"null"
]
},
"developerId": {
"type": "integer",
"minimum": 1
},
"developerName": {
"type": "string"
},
"developer": {
"type": [
"object",
"null"
],
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"name": {
"type": "string"
},
"slug": {
"type": [
"string",
"null"
]
},
"profileUrl": {
"type": [
"string",
"null"
]
},
"verified": {
"type": "boolean"
}
},
"additionalProperties": true
},
"productType": {
"type": "string"
},
"productTypes": {
"type": "array",
"items": {
"type": "string"
}
},
"categories": {
"type": "array",
"items": {
"type": "string"
}
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"url": {
"type": "string"
},
"subscriptionEnabled": {
"type": "boolean"
},
"billingInterval": {
"type": [
"string",
"null"
]
},
"checkoutEligible": {
"type": "boolean"
},
"capabilities": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"requiresActivation": {
"type": "boolean"
},
"supportsSerials": {
"type": "boolean"
},
"supportsDownloads": {
"type": "boolean"
},
"marketplaceAsset": {
"type": [
"object",
"null"
],
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
}
},
"pagination": {
"type": "object",
"properties": {
"page": {
"type": "integer"
},
"limit": {
"type": "integer"
},
"total": {
"type": "integer"
},
"totalPages": {
"type": "integer"
},
"hasNextPage": {
"type": "boolean"
},
"hasPreviousPage": {
"type": "boolean"
}
},
"additionalProperties": true
},
"generatedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
Documented failures: 400, 500.
/api/marketplace/categories/:slug
Category discovery
- Auth
- Public request; operation-specific verification still applies
- Scope
- The operation-specific account, workspace, product and ownership checks apply.
- Request fields
- query page: integer
- query limit: integer
- query search: string
- query q: string
- query category: string
- query tag: string
- query type: string
- query platform: string
- query format: string
- query minPrice: number
- query maxPrice: number
- query sort: string
- Returns
- HTTP 200: category, products, pagination, generatedAt.
Request, response and error reference
Query and header parameters
[
{
"name": "page",
"in": "query",
"schema": {
"type": "integer",
"minimum": 1
},
"required": false,
"description": ""
},
{
"name": "limit",
"in": "query",
"schema": {
"type": "integer",
"minimum": 1
},
"required": false,
"description": ""
},
{
"name": "search",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "q",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "category",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "tag",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "type",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "platform",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "format",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "minPrice",
"in": "query",
"schema": {
"type": "number"
},
"required": false,
"description": ""
},
{
"name": "maxPrice",
"in": "query",
"schema": {
"type": "number"
},
"required": false,
"description": ""
},
{
"name": "sort",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
}
]
No request body fields are read by this operation.
HTTP 200 response (application/json)
{
"type": "object",
"properties": {
"category": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"products": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"name": {
"type": "string"
},
"title": {
"type": "string"
},
"slug": {
"type": [
"string",
"null"
]
},
"description": {
"type": [
"string",
"null"
]
},
"shortDescription": {
"type": [
"string",
"null"
]
},
"price": {
"type": "number"
},
"salePrice": {
"type": [
"number",
"null"
]
},
"regularPrice": {
"type": "number"
},
"displayPrice": {
"type": "number"
},
"priceDisplay": {
"type": "string"
},
"regularPriceDisplay": {
"type": "string"
},
"salePriceDisplay": {
"type": [
"string",
"null"
]
},
"isOnSale": {
"type": "boolean"
},
"currency": {
"type": "string"
},
"imageUrl": {
"type": [
"string",
"null"
]
},
"coverImage": {
"type": [
"string",
"null"
]
},
"developerId": {
"type": "integer",
"minimum": 1
},
"developerName": {
"type": "string"
},
"developer": {
"type": [
"object",
"null"
],
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"name": {
"type": "string"
},
"slug": {
"type": [
"string",
"null"
]
},
"profileUrl": {
"type": [
"string",
"null"
]
},
"verified": {
"type": "boolean"
}
},
"additionalProperties": true
},
"productType": {
"type": "string"
},
"productTypes": {
"type": "array",
"items": {
"type": "string"
}
},
"categories": {
"type": "array",
"items": {
"type": "string"
}
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"url": {
"type": "string"
},
"subscriptionEnabled": {
"type": "boolean"
},
"billingInterval": {
"type": [
"string",
"null"
]
},
"checkoutEligible": {
"type": "boolean"
},
"capabilities": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"requiresActivation": {
"type": "boolean"
},
"supportsSerials": {
"type": "boolean"
},
"supportsDownloads": {
"type": "boolean"
},
"marketplaceAsset": {
"type": [
"object",
"null"
],
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
}
},
"pagination": {
"type": "object",
"properties": {
"page": {
"type": "integer"
},
"limit": {
"type": "integer"
},
"total": {
"type": "integer"
},
"totalPages": {
"type": "integer"
},
"hasNextPage": {
"type": "boolean"
},
"hasPreviousPage": {
"type": "boolean"
}
},
"additionalProperties": true
},
"generatedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"additionalProperties": true
}
Documented failures: 400, 500.
/api/marketplace/search
Customer product search
- Auth
- Public request; operation-specific verification still applies
- Scope
- The operation-specific account, workspace, product and ownership checks apply.
- Request fields
- query q: string (required)
- query page: integer
- query limit: integer
- query search: string
- query category: string
- query tag: string
- query type: string
- query platform: string
- query format: string
- query minPrice: number
- query maxPrice: number
- query sort: string
- Returns
- HTTP 200: products, pagination, generatedAt, q, developers.
- Notes
- An empty q returns 400 SEARCH_QUERY_REQUIRED.
Request, response and error reference
Query and header parameters
[
{
"name": "q",
"in": "query",
"schema": {
"type": "string"
},
"required": true,
"description": ""
},
{
"name": "page",
"in": "query",
"schema": {
"type": "integer",
"minimum": 1
},
"required": false,
"description": ""
},
{
"name": "limit",
"in": "query",
"schema": {
"type": "integer",
"minimum": 1
},
"required": false,
"description": ""
},
{
"name": "search",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "category",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "tag",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "type",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "platform",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "format",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "minPrice",
"in": "query",
"schema": {
"type": "number"
},
"required": false,
"description": ""
},
{
"name": "maxPrice",
"in": "query",
"schema": {
"type": "number"
},
"required": false,
"description": ""
},
{
"name": "sort",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
}
]
No request body fields are read by this operation.
HTTP 200 response (application/json)
{
"type": "object",
"properties": {
"products": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"name": {
"type": "string"
},
"title": {
"type": "string"
},
"slug": {
"type": [
"string",
"null"
]
},
"description": {
"type": [
"string",
"null"
]
},
"shortDescription": {
"type": [
"string",
"null"
]
},
"price": {
"type": "number"
},
"salePrice": {
"type": [
"number",
"null"
]
},
"regularPrice": {
"type": "number"
},
"displayPrice": {
"type": "number"
},
"priceDisplay": {
"type": "string"
},
"regularPriceDisplay": {
"type": "string"
},
"salePriceDisplay": {
"type": [
"string",
"null"
]
},
"isOnSale": {
"type": "boolean"
},
"currency": {
"type": "string"
},
"imageUrl": {
"type": [
"string",
"null"
]
},
"coverImage": {
"type": [
"string",
"null"
]
},
"developerId": {
"type": "integer",
"minimum": 1
},
"developerName": {
"type": "string"
},
"developer": {
"type": [
"object",
"null"
],
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"name": {
"type": "string"
},
"slug": {
"type": [
"string",
"null"
]
},
"profileUrl": {
"type": [
"string",
"null"
]
},
"verified": {
"type": "boolean"
}
},
"additionalProperties": true
},
"productType": {
"type": "string"
},
"productTypes": {
"type": "array",
"items": {
"type": "string"
}
},
"categories": {
"type": "array",
"items": {
"type": "string"
}
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"url": {
"type": "string"
},
"subscriptionEnabled": {
"type": "boolean"
},
"billingInterval": {
"type": [
"string",
"null"
]
},
"checkoutEligible": {
"type": "boolean"
},
"capabilities": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"requiresActivation": {
"type": "boolean"
},
"supportsSerials": {
"type": "boolean"
},
"supportsDownloads": {
"type": "boolean"
},
"marketplaceAsset": {
"type": [
"object",
"null"
],
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
}
},
"pagination": {
"type": "object",
"properties": {
"page": {
"type": "integer"
},
"limit": {
"type": "integer"
},
"total": {
"type": "integer"
},
"totalPages": {
"type": "integer"
},
"hasNextPage": {
"type": "boolean"
},
"hasPreviousPage": {
"type": "boolean"
}
},
"additionalProperties": true
},
"generatedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"q": {
"type": "string"
},
"developers": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"name": {
"type": "string"
},
"slug": {
"type": "string"
},
"logoUrl": {
"type": [
"string",
"null"
]
},
"shortBio": {
"type": "string"
}
},
"additionalProperties": true
}
}
},
"additionalProperties": true
}
Documented failures: 400, 500.
SoundSync
Marketplace placement assets
Authenticated developer with product access; mutations require product edit permission. Uploads follow guarded image limits and approved publishing state.
/api/developer/products/:productId/marketplace-assets
Asset builder overview
- Auth
- Account Bearer session token
- Scope
- The operation-specific account, workspace, product and ownership checks apply.
- Returns
- HTTP 200: productId, developerId, sourceAssetTypes, usageRoles, primaryRoles, presentationModes, placements, profile, assets, masks, duplicateGroups, generatedAssets, generatedAssetVersions, templates, readiness.
Request, response and error reference
No request body fields are read by this operation.
HTTP 200 response (application/json)
{
"type": "object",
"properties": {
"productId": {
"type": "integer",
"minimum": 1
},
"developerId": {
"type": "integer",
"minimum": 1
},
"sourceAssetTypes": {
"type": "array",
"items": {
"type": "string"
}
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"presentationModes": {
"type": "array",
"items": {
"type": "string"
}
},
"placements": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"profile": {
"type": "object",
"properties": {
"presentationMode": {
"type": "string"
},
"visualDirection": {
"type": "string"
},
"palette": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"selectedTemplateId": {
"type": "string"
},
"subjectAssetId": {
"type": "integer",
"minimum": 1
},
"settings": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
},
"assets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"productId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"placementType": {
"type": "string"
},
"assetType": {
"type": "string"
},
"active": {
"type": "boolean"
},
"approvalStatus": {
"type": "string"
},
"width": {
"type": "integer"
},
"height": {
"type": "integer"
},
"sourceClassification": {
"type": "string"
},
"classificationConfidence": {
"type": "string"
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRole": {
"type": [
"string",
"null"
]
},
"archived": {
"type": "boolean"
}
},
"additionalProperties": true
}
},
"masks": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"sourceAssetId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"approvalState": {
"type": "string"
},
"crop": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"threshold": {
"type": "number"
},
"edgeFeather": {
"type": "number"
}
},
"additionalProperties": true
}
},
"duplicateGroups": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"generatedAssets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"productId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"placementType": {
"type": "string"
},
"assetType": {
"type": "string"
},
"active": {
"type": "boolean"
},
"approvalStatus": {
"type": "string"
},
"width": {
"type": "integer"
},
"height": {
"type": "integer"
},
"sourceClassification": {
"type": "string"
},
"classificationConfidence": {
"type": "string"
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRole": {
"type": [
"string",
"null"
]
},
"archived": {
"type": "boolean"
}
},
"additionalProperties": true
}
},
"generatedAssetVersions": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"templates": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"readiness": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
}
Documented failures: 400, 500, 503.
/api/developer/products/:productId/marketplace-assets/preview
Private placement preview
- Auth
- Account Bearer session token
- Scope
- The operation-specific account, workspace, product and ownership checks apply.
- Request fields
- query placementType: string
- query selectedAssetId: integer
- Returns
- HTTP 200: preview, private, product, developer, selectedPlacement, selectedAssetId, assets, primaryAsset, generatedAssets, generatedAssetVersions, placements, profile, privatePreviewNotice.
- Notes
- Private preview does not publish a product, reserve a marketplace placement or activate artwork.
Request, response and error reference
Query and header parameters
[
{
"name": "placementType",
"in": "query",
"schema": {
"type": "string"
},
"required": false,
"description": ""
},
{
"name": "selectedAssetId",
"in": "query",
"schema": {
"type": "integer",
"minimum": 1
},
"required": false,
"description": ""
}
]
No request body fields are read by this operation.
HTTP 200 response (application/json)
{
"type": "object",
"properties": {
"preview": {
"type": "boolean"
},
"private": {
"type": "boolean"
},
"product": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"name": {
"type": "string"
}
},
"additionalProperties": true
},
"developer": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"name": {
"type": "string"
}
},
"additionalProperties": true
},
"selectedPlacement": {
"type": "string"
},
"selectedAssetId": {
"type": [
"integer",
"null"
]
},
"assets": {
"type": "object",
"additionalProperties": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"productId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"placementType": {
"type": "string"
},
"assetType": {
"type": "string"
},
"active": {
"type": "boolean"
},
"approvalStatus": {
"type": "string"
},
"width": {
"type": "integer"
},
"height": {
"type": "integer"
},
"sourceClassification": {
"type": "string"
},
"classificationConfidence": {
"type": "string"
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRole": {
"type": [
"string",
"null"
]
},
"archived": {
"type": "boolean"
}
},
"additionalProperties": true
}
},
"primaryAsset": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"productId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"placementType": {
"type": "string"
},
"assetType": {
"type": "string"
},
"active": {
"type": "boolean"
},
"approvalStatus": {
"type": "string"
},
"width": {
"type": "integer"
},
"height": {
"type": "integer"
},
"sourceClassification": {
"type": "string"
},
"classificationConfidence": {
"type": "string"
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRole": {
"type": [
"string",
"null"
]
},
"archived": {
"type": "boolean"
}
},
"additionalProperties": true
},
"generatedAssets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"productId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"placementType": {
"type": "string"
},
"assetType": {
"type": "string"
},
"active": {
"type": "boolean"
},
"approvalStatus": {
"type": "string"
},
"width": {
"type": "integer"
},
"height": {
"type": "integer"
},
"sourceClassification": {
"type": "string"
},
"classificationConfidence": {
"type": "string"
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRole": {
"type": [
"string",
"null"
]
},
"archived": {
"type": "boolean"
}
},
"additionalProperties": true
}
},
"generatedAssetVersions": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"placements": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"profile": {
"type": "object",
"properties": {
"presentationMode": {
"type": "string"
},
"visualDirection": {
"type": "string"
},
"palette": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"selectedTemplateId": {
"type": "string"
},
"subjectAssetId": {
"type": "integer",
"minimum": 1
},
"settings": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
},
"privatePreviewNotice": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
}
Documented failures: 400, 500, 503.
/api/developer/products/:productId/marketplace-assets/preview/:placementType
One private placement preview
- Auth
- Account Bearer session token
- Scope
- The operation-specific account, workspace, product and ownership checks apply.
- Request fields
- query selectedAssetId: integer
- Returns
- HTTP 200: asset, preview, private.
Request, response and error reference
Query and header parameters
[
{
"name": "selectedAssetId",
"in": "query",
"schema": {
"type": "integer",
"minimum": 1
},
"required": false,
"description": ""
}
]
No request body fields are read by this operation.
HTTP 200 response (application/json)
{
"type": "object",
"properties": {
"asset": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"productId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"placementType": {
"type": "string"
},
"assetType": {
"type": "string"
},
"active": {
"type": "boolean"
},
"approvalStatus": {
"type": "string"
},
"width": {
"type": "integer"
},
"height": {
"type": "integer"
},
"sourceClassification": {
"type": "string"
},
"classificationConfidence": {
"type": "string"
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRole": {
"type": [
"string",
"null"
]
},
"archived": {
"type": "boolean"
}
},
"additionalProperties": true
},
"preview": {
"type": "boolean"
},
"private": {
"type": "boolean"
}
},
"additionalProperties": true
}
Documented failures: 400, 500, 503.
/api/developer/products/:productId/marketplace-assets/organize
Organize source assets
- Auth
- Account Bearer session token
- Scope
- The operation-specific account, workspace, product and ownership checks apply.
- Returns
- HTTP 201: productId, developerId, sourceAssetTypes, usageRoles, primaryRoles, presentationModes, placements, profile, assets, masks, duplicateGroups, generatedAssets, generatedAssetVersions, templates, readiness.
- Notes
- Organizes existing product assets; this can update source-asset records.
Request, response and error reference
No request body fields are read by this operation.
HTTP 201 response (application/json)
{
"type": "object",
"properties": {
"productId": {
"type": "integer",
"minimum": 1
},
"developerId": {
"type": "integer",
"minimum": 1
},
"sourceAssetTypes": {
"type": "array",
"items": {
"type": "string"
}
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"presentationModes": {
"type": "array",
"items": {
"type": "string"
}
},
"placements": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"profile": {
"type": "object",
"properties": {
"presentationMode": {
"type": "string"
},
"visualDirection": {
"type": "string"
},
"palette": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"selectedTemplateId": {
"type": "string"
},
"subjectAssetId": {
"type": "integer",
"minimum": 1
},
"settings": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
},
"assets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"productId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"placementType": {
"type": "string"
},
"assetType": {
"type": "string"
},
"active": {
"type": "boolean"
},
"approvalStatus": {
"type": "string"
},
"width": {
"type": "integer"
},
"height": {
"type": "integer"
},
"sourceClassification": {
"type": "string"
},
"classificationConfidence": {
"type": "string"
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRole": {
"type": [
"string",
"null"
]
},
"archived": {
"type": "boolean"
}
},
"additionalProperties": true
}
},
"masks": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"sourceAssetId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"approvalState": {
"type": "string"
},
"crop": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"threshold": {
"type": "number"
},
"edgeFeather": {
"type": "number"
}
},
"additionalProperties": true
}
},
"duplicateGroups": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"generatedAssets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"productId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"placementType": {
"type": "string"
},
"assetType": {
"type": "string"
},
"active": {
"type": "boolean"
},
"approvalStatus": {
"type": "string"
},
"width": {
"type": "integer"
},
"height": {
"type": "integer"
},
"sourceClassification": {
"type": "string"
},
"classificationConfidence": {
"type": "string"
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRole": {
"type": [
"string",
"null"
]
},
"archived": {
"type": "boolean"
}
},
"additionalProperties": true
}
},
"generatedAssetVersions": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"templates": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"readiness": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
}
Documented failures: 400, 500, 503.
/api/developer/products/:productId/marketplace-assets/source-assets
Upload guarded source images
- Auth
- Account Bearer session token
- Scope
- The operation-specific account, workspace, product and ownership checks apply.
- Request fields
- files: array (required)
- sourceClassification: string
- usageRoles: string
- primaryRole: string
- autoGenerate: string
- Returns
- HTTP 201: assets, autoGeneration, overview.
- Notes
- Use repeated files fields (at most 12). autoGenerate is the multipart string true to request generation; upload success and generation success are separate.
Request, response and error reference
Request (multipart/form-data)
{
"type": "object",
"properties": {
"files": {
"type": "array",
"minItems": 1,
"maxItems": 12,
"items": {
"type": "string",
"format": "binary"
}
},
"sourceClassification": {
"type": "string"
},
"usageRoles": {
"type": "string"
},
"primaryRole": {
"type": "string"
},
"autoGenerate": {
"type": "string"
}
},
"required": [
"files"
],
"additionalProperties": true
}
HTTP 201 response (application/json)
{
"type": "object",
"properties": {
"assets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"productId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"placementType": {
"type": "string"
},
"assetType": {
"type": "string"
},
"active": {
"type": "boolean"
},
"approvalStatus": {
"type": "string"
},
"width": {
"type": "integer"
},
"height": {
"type": "integer"
},
"sourceClassification": {
"type": "string"
},
"classificationConfidence": {
"type": "string"
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRole": {
"type": [
"string",
"null"
]
},
"archived": {
"type": "boolean"
}
},
"additionalProperties": true
}
},
"autoGeneration": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"overview": {
"type": "object",
"properties": {
"productId": {
"type": "integer",
"minimum": 1
},
"developerId": {
"type": "integer",
"minimum": 1
},
"sourceAssetTypes": {
"type": "array",
"items": {
"type": "string"
}
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"presentationModes": {
"type": "array",
"items": {
"type": "string"
}
},
"placements": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"profile": {
"type": "object",
"properties": {
"presentationMode": {
"type": "string"
},
"visualDirection": {
"type": "string"
},
"palette": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"selectedTemplateId": {
"type": "string"
},
"subjectAssetId": {
"type": "integer",
"minimum": 1
},
"settings": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
},
"assets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"productId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"placementType": {
"type": "string"
},
"assetType": {
"type": "string"
},
"active": {
"type": "boolean"
},
"approvalStatus": {
"type": "string"
},
"width": {
"type": "integer"
},
"height": {
"type": "integer"
},
"sourceClassification": {
"type": "string"
},
"classificationConfidence": {
"type": "string"
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRole": {
"type": [
"string",
"null"
]
},
"archived": {
"type": "boolean"
}
},
"additionalProperties": true
}
},
"masks": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"sourceAssetId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"approvalState": {
"type": "string"
},
"crop": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"threshold": {
"type": "number"
},
"edgeFeather": {
"type": "number"
}
},
"additionalProperties": true
}
},
"duplicateGroups": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"generatedAssets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"productId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"placementType": {
"type": "string"
},
"assetType": {
"type": "string"
},
"active": {
"type": "boolean"
},
"approvalStatus": {
"type": "string"
},
"width": {
"type": "integer"
},
"height": {
"type": "integer"
},
"sourceClassification": {
"type": "string"
},
"classificationConfidence": {
"type": "string"
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRole": {
"type": [
"string",
"null"
]
},
"archived": {
"type": "boolean"
}
},
"additionalProperties": true
}
},
"generatedAssetVersions": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"templates": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"readiness": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
}
},
"additionalProperties": true
}
Documented failures: 400, 500, 503.
/api/developer/products/:productId/marketplace-assets/source-assets/:assetId
Update source metadata
- Auth
- Account Bearer session token
- Scope
- The operation-specific account, workspace, product and ownership checks apply.
- Request fields
- sourceClassification: string
- classificationConfidence: string
- classificationReason: string
- usageRoles: array
- primaryRole: string
- archived: boolean
- reviewStatus: string
- developerConfirmedClassification: boolean
- Returns
- HTTP 200: asset, overview, autoGeneration.
- Notes
- Updating source roles can queue core marketplace artwork. This is not only a label change.
Request, response and error reference
Request (application/json)
{
"type": "object",
"properties": {
"sourceClassification": {
"type": "string"
},
"classificationConfidence": {
"type": "string"
},
"classificationReason": {
"type": "string"
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRole": {
"type": "string"
},
"archived": {
"type": "boolean"
},
"reviewStatus": {
"type": "string"
},
"developerConfirmedClassification": {
"type": "boolean"
}
},
"additionalProperties": true
}
HTTP 200 response (application/json)
{
"type": "object",
"properties": {
"asset": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"productId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"placementType": {
"type": "string"
},
"assetType": {
"type": "string"
},
"active": {
"type": "boolean"
},
"approvalStatus": {
"type": "string"
},
"width": {
"type": "integer"
},
"height": {
"type": "integer"
},
"sourceClassification": {
"type": "string"
},
"classificationConfidence": {
"type": "string"
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRole": {
"type": [
"string",
"null"
]
},
"archived": {
"type": "boolean"
}
},
"additionalProperties": true
},
"overview": {
"type": "object",
"properties": {
"productId": {
"type": "integer",
"minimum": 1
},
"developerId": {
"type": "integer",
"minimum": 1
},
"sourceAssetTypes": {
"type": "array",
"items": {
"type": "string"
}
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"presentationModes": {
"type": "array",
"items": {
"type": "string"
}
},
"placements": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"profile": {
"type": "object",
"properties": {
"presentationMode": {
"type": "string"
},
"visualDirection": {
"type": "string"
},
"palette": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"selectedTemplateId": {
"type": "string"
},
"subjectAssetId": {
"type": "integer",
"minimum": 1
},
"settings": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
},
"assets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"productId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"placementType": {
"type": "string"
},
"assetType": {
"type": "string"
},
"active": {
"type": "boolean"
},
"approvalStatus": {
"type": "string"
},
"width": {
"type": "integer"
},
"height": {
"type": "integer"
},
"sourceClassification": {
"type": "string"
},
"classificationConfidence": {
"type": "string"
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRole": {
"type": [
"string",
"null"
]
},
"archived": {
"type": "boolean"
}
},
"additionalProperties": true
}
},
"masks": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"sourceAssetId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"approvalState": {
"type": "string"
},
"crop": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"threshold": {
"type": "number"
},
"edgeFeather": {
"type": "number"
}
},
"additionalProperties": true
}
},
"duplicateGroups": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"generatedAssets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"productId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"placementType": {
"type": "string"
},
"assetType": {
"type": "string"
},
"active": {
"type": "boolean"
},
"approvalStatus": {
"type": "string"
},
"width": {
"type": "integer"
},
"height": {
"type": "integer"
},
"sourceClassification": {
"type": "string"
},
"classificationConfidence": {
"type": "string"
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRole": {
"type": [
"string",
"null"
]
},
"archived": {
"type": "boolean"
}
},
"additionalProperties": true
}
},
"generatedAssetVersions": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"templates": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"readiness": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
},
"autoGeneration": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
}
Documented failures: 400, 500, 503.
/api/developer/products/:productId/marketplace-assets/source-assets/:assetId/extraction
Request product-interface extraction
- Auth
- Account Bearer session token
- Scope
- The operation-specific account, workspace, product and ownership checks apply.
- Returns
- HTTP 201: mask, derivativeAsset, fallbackRecommendation.
Request, response and error reference
No request body fields are read by this operation.
HTTP 201 response (application/json)
{
"type": "object",
"properties": {
"mask": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"sourceAssetId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"approvalState": {
"type": "string"
},
"crop": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"threshold": {
"type": "number"
},
"edgeFeather": {
"type": "number"
}
},
"additionalProperties": true
},
"derivativeAsset": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"productId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"placementType": {
"type": "string"
},
"assetType": {
"type": "string"
},
"active": {
"type": "boolean"
},
"approvalStatus": {
"type": "string"
},
"width": {
"type": "integer"
},
"height": {
"type": "integer"
},
"sourceClassification": {
"type": "string"
},
"classificationConfidence": {
"type": "string"
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRole": {
"type": [
"string",
"null"
]
},
"archived": {
"type": "boolean"
}
},
"additionalProperties": true
},
"fallbackRecommendation": {
"type": [
"string",
"null"
]
}
},
"additionalProperties": true
}
Documented failures: 400, 500, 503.
/api/developer/products/:productId/marketplace-assets/masks/:maskId
Save mask correction
- Auth
- Account Bearer session token
- Scope
- The operation-specific account, workspace, product and ownership checks apply.
- Request fields
- crop: object. Operation-specific extension data; do not put credentials or unnecessary personal information here.
- brushOperations: array
- threshold: number
- edgeFeather: number
- approvalState: string
- Returns
- HTTP 200: mask, derivativeAsset.
Request, response and error reference
Request (application/json)
{
"type": "object",
"properties": {
"crop": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"brushOperations": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"threshold": {
"type": "number"
},
"edgeFeather": {
"type": "number"
},
"approvalState": {
"type": "string"
}
},
"additionalProperties": true
}
HTTP 200 response (application/json)
{
"type": "object",
"properties": {
"mask": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"sourceAssetId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"approvalState": {
"type": "string"
},
"crop": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"threshold": {
"type": "number"
},
"edgeFeather": {
"type": "number"
}
},
"additionalProperties": true
},
"derivativeAsset": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"productId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"placementType": {
"type": "string"
},
"assetType": {
"type": "string"
},
"active": {
"type": "boolean"
},
"approvalStatus": {
"type": "string"
},
"width": {
"type": "integer"
},
"height": {
"type": "integer"
},
"sourceClassification": {
"type": "string"
},
"classificationConfidence": {
"type": "string"
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRole": {
"type": [
"string",
"null"
]
},
"archived": {
"type": "boolean"
}
},
"additionalProperties": true
}
},
"additionalProperties": true
}
Documented failures: 400, 500, 503.
/api/developer/products/:productId/marketplace-assets/profile
Update placement profile
- Auth
- Account Bearer session token
- Scope
- The operation-specific account, workspace, product and ownership checks apply.
- Request fields
- presentationMode: string
- visualDirection: string
- palette: object. Operation-specific extension data; do not put credentials or unnecessary personal information here.
- selectedTemplateId: string
- subjectAssetId: integer
- settings: object. Operation-specific extension data; do not put credentials or unnecessary personal information here.
- Returns
- HTTP 200: profile, overview.
Request, response and error reference
Request (application/json)
{
"type": "object",
"properties": {
"presentationMode": {
"type": "string"
},
"visualDirection": {
"type": "string"
},
"palette": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"selectedTemplateId": {
"type": "string"
},
"subjectAssetId": {
"type": "integer",
"minimum": 1
},
"settings": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
}
HTTP 200 response (application/json)
{
"type": "object",
"properties": {
"profile": {
"type": "object",
"properties": {
"presentationMode": {
"type": "string"
},
"visualDirection": {
"type": "string"
},
"palette": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"selectedTemplateId": {
"type": "string"
},
"subjectAssetId": {
"type": "integer",
"minimum": 1
},
"settings": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
},
"overview": {
"type": "object",
"properties": {
"productId": {
"type": "integer",
"minimum": 1
},
"developerId": {
"type": "integer",
"minimum": 1
},
"sourceAssetTypes": {
"type": "array",
"items": {
"type": "string"
}
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"presentationModes": {
"type": "array",
"items": {
"type": "string"
}
},
"placements": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"profile": {
"type": "object",
"properties": {
"presentationMode": {
"type": "string"
},
"visualDirection": {
"type": "string"
},
"palette": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"selectedTemplateId": {
"type": "string"
},
"subjectAssetId": {
"type": "integer",
"minimum": 1
},
"settings": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
},
"assets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"productId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"placementType": {
"type": "string"
},
"assetType": {
"type": "string"
},
"active": {
"type": "boolean"
},
"approvalStatus": {
"type": "string"
},
"width": {
"type": "integer"
},
"height": {
"type": "integer"
},
"sourceClassification": {
"type": "string"
},
"classificationConfidence": {
"type": "string"
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRole": {
"type": [
"string",
"null"
]
},
"archived": {
"type": "boolean"
}
},
"additionalProperties": true
}
},
"masks": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"sourceAssetId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"approvalState": {
"type": "string"
},
"crop": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"threshold": {
"type": "number"
},
"edgeFeather": {
"type": "number"
}
},
"additionalProperties": true
}
},
"duplicateGroups": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"generatedAssets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"productId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"placementType": {
"type": "string"
},
"assetType": {
"type": "string"
},
"active": {
"type": "boolean"
},
"approvalStatus": {
"type": "string"
},
"width": {
"type": "integer"
},
"height": {
"type": "integer"
},
"sourceClassification": {
"type": "string"
},
"classificationConfidence": {
"type": "string"
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRole": {
"type": [
"string",
"null"
]
},
"archived": {
"type": "boolean"
}
},
"additionalProperties": true
}
},
"generatedAssetVersions": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"templates": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"readiness": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
}
},
"additionalProperties": true
}
Documented failures: 400, 500, 503.
/api/developer/products/:productId/marketplace-assets/templates
List supported templates
- Auth
- Account Bearer session token
- Scope
- The operation-specific account, workspace, product and ownership checks apply.
- Request fields
- query includeInactive: boolean
- Returns
- HTTP 200: templates.
Request, response and error reference
Query and header parameters
[
{
"name": "includeInactive",
"in": "query",
"schema": {
"type": "boolean"
},
"required": false,
"description": ""
}
]
No request body fields are read by this operation.
HTTP 200 response (application/json)
{
"type": "object",
"properties": {
"templates": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"family": {
"type": "string"
},
"active": {
"type": "boolean"
}
},
"additionalProperties": true
}
}
},
"additionalProperties": true
}
Documented failures: 400, 500, 503.
/api/developer/products/:productId/marketplace-assets/render-jobs
Queue a render or placement family
- Auth
- Account Bearer session token
- Scope
- The operation-specific account, workspace, product and ownership checks apply.
- Request fields
- placementType: string
- placements: array
- presentationMode: string
- templateId: string
- subjectAssetId: integer
- sourceAssetId: integer
- profilePatch: object
- palette: object. Operation-specific extension data; do not put credentials or unnecessary personal information here.
- settings: object. Operation-specific extension data; do not put credentials or unnecessary personal information here.
- idempotencyKey: string
- processSynchronously: boolean
- coreSet: boolean
- force: boolean
- autoSelectTemplate: boolean
- organizeExistingMedia: boolean
- Returns
- HTTP 202: job, jobs, assets.
- Notes
- placements requests a family; a single placement creates one job. Inspect the job outcome; accepted is not published.
Request, response and error reference
Request (application/json)
{
"type": "object",
"properties": {
"placementType": {
"type": "string"
},
"placements": {
"type": "array",
"items": {
"type": "string"
}
},
"presentationMode": {
"type": "string"
},
"templateId": {
"type": "string"
},
"subjectAssetId": {
"type": "integer",
"minimum": 1
},
"sourceAssetId": {
"type": "integer",
"minimum": 1
},
"profilePatch": {
"type": "object",
"properties": {
"presentationMode": {
"type": "string"
},
"visualDirection": {
"type": "string"
},
"palette": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"selectedTemplateId": {
"type": "string"
},
"subjectAssetId": {
"type": "integer",
"minimum": 1
},
"settings": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
},
"palette": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"settings": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"idempotencyKey": {
"type": "string"
},
"processSynchronously": {
"type": "boolean"
},
"coreSet": {
"type": "boolean"
},
"force": {
"type": "boolean"
},
"autoSelectTemplate": {
"type": "boolean"
},
"organizeExistingMedia": {
"type": "boolean"
}
},
"additionalProperties": true
}
HTTP 202 response (application/json)
{
"type": "object",
"properties": {
"job": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"status": {
"type": "string"
},
"productId": {
"type": "integer",
"minimum": 1
},
"placementType": {
"type": "string"
},
"generatedAssetId": {
"type": "integer",
"minimum": 1
},
"errorCode": {
"type": [
"string",
"null"
]
},
"errorMessage": {
"type": [
"string",
"null"
]
}
},
"additionalProperties": true
},
"jobs": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"status": {
"type": "string"
},
"productId": {
"type": "integer",
"minimum": 1
},
"placementType": {
"type": "string"
},
"generatedAssetId": {
"type": "integer",
"minimum": 1
},
"errorCode": {
"type": [
"string",
"null"
]
},
"errorMessage": {
"type": [
"string",
"null"
]
}
},
"additionalProperties": true
}
},
"assets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"productId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"placementType": {
"type": "string"
},
"assetType": {
"type": "string"
},
"active": {
"type": "boolean"
},
"approvalStatus": {
"type": "string"
},
"width": {
"type": "integer"
},
"height": {
"type": "integer"
},
"sourceClassification": {
"type": "string"
},
"classificationConfidence": {
"type": "string"
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRole": {
"type": [
"string",
"null"
]
},
"archived": {
"type": "boolean"
}
},
"additionalProperties": true
}
}
},
"additionalProperties": true
}
Documented failures: 400, 500, 503.
/api/developer/products/:productId/marketplace-assets/ensure-core-set
Prepare the supported core placements
- Auth
- Account Bearer session token
- Scope
- The operation-specific account, workspace, product and ownership checks apply.
- Request fields
- placementType: string
- placements: array
- presentationMode: string
- templateId: string
- subjectAssetId: integer
- sourceAssetId: integer
- profilePatch: object
- palette: object. Operation-specific extension data; do not put credentials or unnecessary personal information here.
- settings: object. Operation-specific extension data; do not put credentials or unnecessary personal information here.
- idempotencyKey: string
- processSynchronously: boolean
- coreSet: boolean
- force: boolean
- autoSelectTemplate: boolean
- organizeExistingMedia: boolean
- Returns
- HTTP 202: ready, sourceAsset, generated, jobs, placements, skippedPlacements, overview.
- Notes
- Prepares missing core placements and normally preserves active assets. force:true deliberately regenerates the requested set. sourceAssetId (or subjectAssetId) selects an owned usable source; an explicitly unavailable selection returns SOURCE_ASSET_REQUIRED rather than silently using a different upload. Without a usable source, MARKETPLACE_SOURCE_REQUIRED leaves the saved product unchanged. Core rendering resolves a compatible mode per placement: background_texture uses minimal_brand; other incompatible modes use a supported source-based recommendation. A single non-core incompatible render can return PLACEMENT_MODE_INCOMPATIBLE. Inspect generated[], jobs[], skippedPlacements and overview; this does not guarantee marketplace placement or publish the product.
Request, response and error reference
Request (application/json)
{
"type": "object",
"properties": {
"placementType": {
"type": "string"
},
"placements": {
"type": "array",
"items": {
"type": "string"
}
},
"presentationMode": {
"type": "string"
},
"templateId": {
"type": "string"
},
"subjectAssetId": {
"type": "integer",
"minimum": 1
},
"sourceAssetId": {
"type": "integer",
"minimum": 1
},
"profilePatch": {
"type": "object",
"properties": {
"presentationMode": {
"type": "string"
},
"visualDirection": {
"type": "string"
},
"palette": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"selectedTemplateId": {
"type": "string"
},
"subjectAssetId": {
"type": "integer",
"minimum": 1
},
"settings": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
},
"palette": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"settings": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"idempotencyKey": {
"type": "string"
},
"processSynchronously": {
"type": "boolean"
},
"coreSet": {
"type": "boolean"
},
"force": {
"type": "boolean"
},
"autoSelectTemplate": {
"type": "boolean"
},
"organizeExistingMedia": {
"type": "boolean"
}
},
"additionalProperties": true
}
HTTP 202 response (application/json)
{
"type": "object",
"properties": {
"ready": {
"type": "boolean"
},
"sourceAsset": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"productId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"placementType": {
"type": "string"
},
"assetType": {
"type": "string"
},
"active": {
"type": "boolean"
},
"approvalStatus": {
"type": "string"
},
"width": {
"type": "integer"
},
"height": {
"type": "integer"
},
"sourceClassification": {
"type": "string"
},
"classificationConfidence": {
"type": "string"
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRole": {
"type": [
"string",
"null"
]
},
"archived": {
"type": "boolean"
}
},
"additionalProperties": true
},
"generated": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"productId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"placementType": {
"type": "string"
},
"assetType": {
"type": "string"
},
"active": {
"type": "boolean"
},
"approvalStatus": {
"type": "string"
},
"width": {
"type": "integer"
},
"height": {
"type": "integer"
},
"sourceClassification": {
"type": "string"
},
"classificationConfidence": {
"type": "string"
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRole": {
"type": [
"string",
"null"
]
},
"archived": {
"type": "boolean"
}
},
"additionalProperties": true
}
},
"jobs": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"status": {
"type": "string"
},
"productId": {
"type": "integer",
"minimum": 1
},
"placementType": {
"type": "string"
},
"generatedAssetId": {
"type": "integer",
"minimum": 1
},
"errorCode": {
"type": [
"string",
"null"
]
},
"errorMessage": {
"type": [
"string",
"null"
]
}
},
"additionalProperties": true
}
},
"placements": {
"type": "array",
"items": {
"type": "string"
}
},
"skippedPlacements": {
"type": "array",
"items": {
"type": "string"
}
},
"overview": {
"type": "object",
"properties": {
"productId": {
"type": "integer",
"minimum": 1
},
"developerId": {
"type": "integer",
"minimum": 1
},
"sourceAssetTypes": {
"type": "array",
"items": {
"type": "string"
}
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"presentationModes": {
"type": "array",
"items": {
"type": "string"
}
},
"placements": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"profile": {
"type": "object",
"properties": {
"presentationMode": {
"type": "string"
},
"visualDirection": {
"type": "string"
},
"palette": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"selectedTemplateId": {
"type": "string"
},
"subjectAssetId": {
"type": "integer",
"minimum": 1
},
"settings": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
},
"assets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"productId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"placementType": {
"type": "string"
},
"assetType": {
"type": "string"
},
"active": {
"type": "boolean"
},
"approvalStatus": {
"type": "string"
},
"width": {
"type": "integer"
},
"height": {
"type": "integer"
},
"sourceClassification": {
"type": "string"
},
"classificationConfidence": {
"type": "string"
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRole": {
"type": [
"string",
"null"
]
},
"archived": {
"type": "boolean"
}
},
"additionalProperties": true
}
},
"masks": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"sourceAssetId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"approvalState": {
"type": "string"
},
"crop": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"threshold": {
"type": "number"
},
"edgeFeather": {
"type": "number"
}
},
"additionalProperties": true
}
},
"duplicateGroups": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"generatedAssets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"productId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"placementType": {
"type": "string"
},
"assetType": {
"type": "string"
},
"active": {
"type": "boolean"
},
"approvalStatus": {
"type": "string"
},
"width": {
"type": "integer"
},
"height": {
"type": "integer"
},
"sourceClassification": {
"type": "string"
},
"classificationConfidence": {
"type": "string"
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRole": {
"type": [
"string",
"null"
]
},
"archived": {
"type": "boolean"
}
},
"additionalProperties": true
}
},
"generatedAssetVersions": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"templates": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"readiness": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
}
},
"additionalProperties": true
}
Documented failures: 400, 500, 503.
/api/developer/products/:productId/marketplace-assets/render-jobs/:jobId
Inspect render progress/result
- Auth
- Account Bearer session token
- Scope
- The operation-specific account, workspace, product and ownership checks apply.
- Returns
- HTTP 200: job.
Request, response and error reference
No request body fields are read by this operation.
HTTP 200 response (application/json)
{
"type": "object",
"properties": {
"job": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"status": {
"type": "string"
},
"productId": {
"type": "integer",
"minimum": 1
},
"placementType": {
"type": "string"
},
"generatedAssetId": {
"type": "integer",
"minimum": 1
},
"errorCode": {
"type": [
"string",
"null"
]
},
"errorMessage": {
"type": [
"string",
"null"
]
}
},
"additionalProperties": true
}
},
"additionalProperties": true
}
Documented failures: 400, 500, 503.
/api/developer/products/:productId/marketplace-assets/generated-assets/:assetId/approval
Change approval deliberately
- Auth
- Account Bearer session token
- Scope
- The operation-specific account, workspace, product and ownership checks apply.
- Request fields
- status: string
- approvalStatus: string
- reason: string
- Returns
- HTTP 200: asset, overview, autoGeneration.
Request, response and error reference
Request (application/json)
{
"type": "object",
"properties": {
"status": {
"type": "string"
},
"approvalStatus": {
"type": "string"
},
"reason": {
"type": "string"
}
},
"additionalProperties": true
}
HTTP 200 response (application/json)
{
"type": "object",
"properties": {
"asset": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"productId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"placementType": {
"type": "string"
},
"assetType": {
"type": "string"
},
"active": {
"type": "boolean"
},
"approvalStatus": {
"type": "string"
},
"width": {
"type": "integer"
},
"height": {
"type": "integer"
},
"sourceClassification": {
"type": "string"
},
"classificationConfidence": {
"type": "string"
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRole": {
"type": [
"string",
"null"
]
},
"archived": {
"type": "boolean"
}
},
"additionalProperties": true
},
"overview": {
"type": "object",
"properties": {
"productId": {
"type": "integer",
"minimum": 1
},
"developerId": {
"type": "integer",
"minimum": 1
},
"sourceAssetTypes": {
"type": "array",
"items": {
"type": "string"
}
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"presentationModes": {
"type": "array",
"items": {
"type": "string"
}
},
"placements": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"profile": {
"type": "object",
"properties": {
"presentationMode": {
"type": "string"
},
"visualDirection": {
"type": "string"
},
"palette": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"selectedTemplateId": {
"type": "string"
},
"subjectAssetId": {
"type": "integer",
"minimum": 1
},
"settings": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
},
"assets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"productId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"placementType": {
"type": "string"
},
"assetType": {
"type": "string"
},
"active": {
"type": "boolean"
},
"approvalStatus": {
"type": "string"
},
"width": {
"type": "integer"
},
"height": {
"type": "integer"
},
"sourceClassification": {
"type": "string"
},
"classificationConfidence": {
"type": "string"
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRole": {
"type": [
"string",
"null"
]
},
"archived": {
"type": "boolean"
}
},
"additionalProperties": true
}
},
"masks": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"sourceAssetId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"approvalState": {
"type": "string"
},
"crop": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"threshold": {
"type": "number"
},
"edgeFeather": {
"type": "number"
}
},
"additionalProperties": true
}
},
"duplicateGroups": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"generatedAssets": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"productId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"placementType": {
"type": "string"
},
"assetType": {
"type": "string"
},
"active": {
"type": "boolean"
},
"approvalStatus": {
"type": "string"
},
"width": {
"type": "integer"
},
"height": {
"type": "integer"
},
"sourceClassification": {
"type": "string"
},
"classificationConfidence": {
"type": "string"
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRole": {
"type": [
"string",
"null"
]
},
"archived": {
"type": "boolean"
}
},
"additionalProperties": true
}
},
"generatedAssetVersions": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"templates": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"readiness": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
},
"autoGeneration": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
}
},
"additionalProperties": true
}
Documented failures: 400, 500, 503.
/api/developer/products/:productId/marketplace-assets/generated-assets/:assetId/restore
Restore a generated asset
- Auth
- Account Bearer session token
- Scope
- The operation-specific account, workspace, product and ownership checks apply.
- Request fields
- reason: string
- Returns
- HTTP 200: asset, overview, autoGeneration.
Request, response and error reference
Request (application/json)
{
"type": "object",
"properties": {
"reason": {
"type": "string"
}
},
"additionalProperties": true
}
HTTP 200 response (application/json)
{
"type": "object",
"properties": {
"asset": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"minimum": 1
},
"productId": {
"type": "integer",
"minimum": 1
},
"url": {
"type": "string"
},
"placementType": {
"type": "string"
},
"assetType": {
"type": "string"
},
"active": {
"type": "boolean"
},
"approvalStatus": {
"type": "string"
},
"width": {
"type": "integer"
},
"height": {
"type": "integer"
},
"sourceClassification": {
"type": "string"
},
"classificationConfidence": {
"type": "string"
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRole": {
"type": [
"string",
"null"
]
},
"archived": {
"type": "boolean"
}
},
"additionalProperties": true
},
"overview": {
"type": "object",
"properties": {
"productId": {
"type": "integer",
"minimum": 1
},
"developerId": {
"type": "integer",
"minimum": 1
},
"sourceAssetTypes": {
"type": "array",
"items": {
"type": "string"
}
},
"usageRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"primaryRoles": {
"type": "array",
"items": {
"type": "string"
}
},
"presentationModes": {
"type": "array",
"items": {
"type": "string"
}
},
"placements": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"profile": {
"type": "object",
"properties": {
"presentationMode": {
"type": "string"
},
"visualDirection": {
"type": "string"
},
"palette": {
"type": "object",
"additionalProperties": true,
"description": "Operation-specific extension data; do not put credentials or unnecessary personal information here."
},
"selectedTemplateId": {
"type": "string"
},
"subjectAssetId": {
"type": "integer",
"minimum": 1
},
"settings": {
"type": "object",
"additionalProperties": true,
[...]
